Subject: Re: linux-next: duplicate patch in the usb tree

From: Greg KH <[email-masked]>
Date: Fri, 20 Jan 2023 15:04:26 +0100

On Thu, Jan 19, 2023 at 02:24:23PM +0100, Thierry Reding wrote:
> On Thu, Jan 19, 2023 at 01:05:57PM +0100, Greg KH wrote:
> > On Thu, Jan 19, 2023 at 03:26:05PM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > The following commit is also in the tegra tree as a different commit
> > > (but the same patch):
> > > 
> > >   2648f68bd0ac ("dt-bindings: usb: Add NVIDIA Tegra234 XUSB host controller binding")
> > > 
> > > this is commit
> > > 
> > >   20cdc1607ea0 ("dt-bindings: usb: Add NVIDIA Tegra234 XUSB host controller binding")
> > > 
> > > in the tegra tree.
> > 
> > Is that going to be a problem?  Git should handle merging that just
> > fine, right?
> 
> This one shouldn't be a problem. I can also back this out of the Tegra
> tree. However, I also carry
> 
> 	6e505dd6804f ("arm64: tegra: Enable XUSB host function on Jetson AGX Orin")
> 
> which you picked up as
> 
> 	1b17df99730a ("arm64: tegra: Enable XUSB host function on Jetson AGX Orin")
> 
> That one is a bit problematic because I had to manually apply it on top
> of the Tegra tree because of some rework of the DTS files. I think this
> managed to thoroughly confuse everyone and the version in linux-next is
> now not what it should be.
> 
> Is there any chance you could drop it? If not I could back out the DTS
> rework and schedule that for the next release. I'd rather not since I've
> been trying to get that in for a while now, but it's not worth a revert
> in your tree.

Now reverted in my tree.  If there's anything else I need to revert,
just let me know.

thanks,

greg k-h